"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class TaxRate {
    static getAttributeTypeMap() {
        return TaxRate.attributeTypeMap;
    }
}
exports.TaxRate = TaxRate;
TaxRate.discriminator = undefined;
TaxRate.attributeTypeMap = [
    {
        "name": "name",
        "baseName": "Name",
        "type": "string"
    },
    {
        "name": "taxType",
        "baseName": "TaxType",
        "type": "string"
    },
    {
        "name": "taxComponents",
        "baseName": "TaxComponents",
        "type": "Array<TaxComponent>"
    },
    {
        "name": "status",
        "baseName": "Status",
        "type": "TaxRate.StatusEnum"
    },
    {
        "name": "reportTaxType",
        "baseName": "ReportTaxType",
        "type": "TaxRate.ReportTaxTypeEnum"
    },
    {
        "name": "canApplyToAssets",
        "baseName": "CanApplyToAssets",
        "type": "boolean"
    },
    {
        "name": "canApplyToEquity",
        "baseName": "CanApplyToEquity",
        "type": "boolean"
    },
    {
        "name": "canApplyToExpenses",
        "baseName": "CanApplyToExpenses",
        "type": "boolean"
    },
    {
        "name": "canApplyToLiabilities",
        "baseName": "CanApplyToLiabilities",
        "type": "boolean"
    },
    {
        "name": "canApplyToRevenue",
        "baseName": "CanApplyToRevenue",
        "type": "boolean"
    },
    {
        "name": "displayTaxRate",
        "baseName": "DisplayTaxRate",
        "type": "number"
    },
    {
        "name": "effectiveRate",
        "baseName": "EffectiveRate",
        "type": "number"
    }
];
(function (TaxRate) {
    let StatusEnum;
    (function (StatusEnum) {
        StatusEnum[StatusEnum["ACTIVE"] = 'ACTIVE'] = "ACTIVE";
        StatusEnum[StatusEnum["DELETED"] = 'DELETED'] = "DELETED";
        StatusEnum[StatusEnum["ARCHIVED"] = 'ARCHIVED'] = "ARCHIVED";
    })(StatusEnum = TaxRate.StatusEnum || (TaxRate.StatusEnum = {}));
    let ReportTaxTypeEnum;
    (function (ReportTaxTypeEnum) {
        ReportTaxTypeEnum[ReportTaxTypeEnum["OUTPUT"] = 'OUTPUT'] = "OUTPUT";
        ReportTaxTypeEnum[ReportTaxTypeEnum["INPUT"] = 'INPUT'] = "INPUT";
        ReportTaxTypeEnum[ReportTaxTypeEnum["EXEMPTOUTPUT"] = 'EXEMPTOUTPUT'] = "EXEMPTOUTPUT";
        ReportTaxTypeEnum[ReportTaxTypeEnum["INPUTTAXED"] = 'INPUTTAXED'] = "INPUTTAXED";
        ReportTaxTypeEnum[ReportTaxTypeEnum["BASEXCLUDED"] = 'BASEXCLUDED'] = "BASEXCLUDED";
        ReportTaxTypeEnum[ReportTaxTypeEnum["EXEMPTEXPENSES"] = 'EXEMPTEXPENSES'] = "EXEMPTEXPENSES";
        ReportTaxTypeEnum[ReportTaxTypeEnum["EXEMPTINPUT"] = 'EXEMPTINPUT'] = "EXEMPTINPUT";
        ReportTaxTypeEnum[ReportTaxTypeEnum["ECOUTPUT"] = 'ECOUTPUT'] = "ECOUTPUT";
        ReportTaxTypeEnum[ReportTaxTypeEnum["ECOUTPUTSERVICES"] = 'ECOUTPUTSERVICES'] = "ECOUTPUTSERVICES";
        ReportTaxTypeEnum[ReportTaxTypeEnum["ECINPUT"] = 'ECINPUT'] = "ECINPUT";
        ReportTaxTypeEnum[ReportTaxTypeEnum["ECACQUISITIONS"] = 'ECACQUISITIONS'] = "ECACQUISITIONS";
        ReportTaxTypeEnum[ReportTaxTypeEnum["CAPITALSALESOUTPUT"] = 'CAPITALSALESOUTPUT'] = "CAPITALSALESOUTPUT";
        ReportTaxTypeEnum[ReportTaxTypeEnum["CAPITALEXPENSESINPUT"] = 'CAPITALEXPENSESINPUT'] = "CAPITALEXPENSESINPUT";
        ReportTaxTypeEnum[ReportTaxTypeEnum["MOSSSALES"] = 'MOSSSALES'] = "MOSSSALES";
        ReportTaxTypeEnum[ReportTaxTypeEnum["NONE"] = 'NONE'] = "NONE";
        ReportTaxTypeEnum[ReportTaxTypeEnum["GSTONIMPORTS"] = 'GSTONIMPORTS'] = "GSTONIMPORTS";
        ReportTaxTypeEnum[ReportTaxTypeEnum["AVALARA"] = 'AVALARA'] = "AVALARA";
    })(ReportTaxTypeEnum = TaxRate.ReportTaxTypeEnum || (TaxRate.ReportTaxTypeEnum = {}));
})(TaxRate = exports.TaxRate || (exports.TaxRate = {}));
//# sourceMappingURL=taxRate.js.map